Page MenuHomePhabricator

Run wikimedia/fundraising/crm CI jobs on PHP7x, not PHP5x
Closed, ResolvedPublic

Description

I tried using a php 7-ism but jenkins wasn't impressed. Would be nice to....

https://gerrit.wikimedia.org/r/#/c/wikimedia/fundraising/crm/+/510288/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2019, 3:24 AM
Reedy added a subscriber: Reedy.May 15 2019, 7:44 AM

Are you asking for testing to be done on PHP7 (instead? only?) for this repo? And/or moving the "server" to using PHP7 too (or is the server already using PHP7)?

hashar added a subscriber: hashar.May 15 2019, 8:20 AM

I think we went with php5.6 because production used Jessie / php5.6 hence why there is a composer job: wikimedia-fundraising-crm-composer-php56-docker . It should be trivial to switch to a php7.x based job.

The other job (wikimedia-fundraising-civicrm) runs on permanent Jenkins slaves which do not have php7.0 available (or maybe they do but that is no more supported/maintained). It must be migrated toward a Docker container which is tracked by T210287: Migrate wikimedia-fundraising-civicrm to a Docker container. Unfortunately it looks like I forgot about that task :-(

@Reedy @hashar -our live server was recently upgraded so it's using php 7.0 so it would be good to get our tested onto it so we can start using different php syntax & have our tests run on the same version as live. So yes, ideally the 2 jobs you mention would be on php 7.0 as soon as is practical

Jdforrester-WMF renamed this task from How do we update jenkins to php 7 to Run wikimedia/fundraising/crm CI jobs on PHP7x, not PHP5x.May 15 2019, 8:57 AM

That is blocked on migrating the Jenkins job toward a Docker container (T210287). I haven't had the opportunity to jump on that horse yet unfortunately :-(

@hashar do you have a sense of when - ie. is this something that might happen next quarter or is that unrealistic?

greg assigned this task to hashar.Jun 3 2019, 4:23 PM
greg added a subscriber: greg.

Antoine is working on this now.

Change 514053 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] wikiba.se, fr-civicrm: Add php72 tests alongside php56

https://gerrit.wikimedia.org/r/514053

Change 514057 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] wikimedia-fundraising-crm: Drop php56 jobs

https://gerrit.wikimedia.org/r/514057

Change 514053 merged by jenkins-bot:
[integration/config@master] wikiba.se, fr-civicrm: Add php72 tests alongside php56

https://gerrit.wikimedia.org/r/514053

hashar closed this task as Resolved.Jun 13 2019, 1:20 PM

Switched to a Docker container which comes with php 7.0 !

Change 514057 abandoned by Jforrester:
layout, jjb: [wikimedia-fundraising-crm] Drop php56 jobs

Reason:
Done in 69fa22fef84845cf912e8f05f342aa0f0f1a5711.

https://gerrit.wikimedia.org/r/514057